Subject: Re: Mac Name

From: Peter Gutowski <[email-masked]>
Date: 02 Feb 2000 06:24:01 -0500

On Thursday, March 23, 1939, Michael Bartosh <[email-masked]> wrote:
>>Hello,
>>
>>I am not experience mac person. So please bear with me. We are trying
>>break our office into few sub nets and provide file transfer service
>>between mac and linux using netatalk. (Just AFPD) I just want to set up
>>our internal DNS with alkl the tcp/ip addresses of MACs. But our mac guy
>>says taht their are no place in the mac that can set up its name.
>>
>>if on DNS
>>
>>myDumbMac             192.168.21.14
>>
>>How come you cannot do that on Mac?????
>
>because the smart mac doesn't have to. It does a reverse lookup, 
>unlike yourdumbpc.
>
>-mab
>
>>
>>tks
>>
>>Anil
While I don't wish to disagree with this answer, this is also not the most helpful response I've ever heard, and smacks of a certain degree of hardware chauvinism. 

Anil, using TCP Macintosh computer (or any other system AFAIK) cannot *set* their DNS name, because "Names" under TCP are just an abstraction to insulate users from "raw" IP addresses. And as you know, DNS is responsble for managing that particular magic. Now, Macintosh computers get their IP address using a number of different strategies: Static IP, where the IP addresses for host, gateway and nameserver must be entered manually. DHCP, in which computers broadcast a request to a server to supply that same informations. My TCP/IP Control Panel also lists BootP and RARP, but to my shame, I've never used them. As long as you don't require the Macintosh computers to be offering TCP/IP services, using DHCP will make your administrative life vastly easier. 

It's entirely possible with a poorly managed network with multiple nameservers, each with out-of-sync information, to return conflicting infomation to client computers.

That said, another Control Panel called "File Sharing" (olders Mac OSes called it "Sharing Setup") have a place to enter the Owner's "name", machine's "name", and "password". You can see this machine name in other Mac's Choosers when file sharing is enabled. This control panel only manages the AppleTalk protocol names and has little to do with the TCP/IP setup. But, using AppleShare, if you attempt to Mount an ASIP server, the Mac will default to proposing the Mac's "Owner name" in the login dialog box.

Hope this helps.
-- 

Peter Gutowski

[email-masked] // www.powervue.com/~peterg // h: 413-584-7820